Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class DatabaseManager

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--java.applet.Applet
                              |
                              +--org.hsqldb.util.DatabaseManager

public class DatabaseManager
extends Applet
implements ActionListener, KeyListener, WindowListener

Inner classes inherited from class java.applet.Applet
`Applet.AccessibleApplet`

Inner classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Field Summary
`(package private) boolean` | `bHelp`
`(package private) static boolean` | `bMustExit`
`(package private) java.awt.Button` | `butExecute`
`(package private) java.sql.Connection` | `cConn`
`(package private) java.sql.DatabaseMetaData` | `dMeta`
`(package private) java.awt.Frame` | `fMain`
`(package private) org.hsqldb.util.Grid` | `gResult`
`(package private) final static int` | `iMaxRecent`
`(package private) java.awt.Image` | `imgEmpty`
`(package private) int` | `iRecent`
`(package private) int` | `iResult`
`(package private) long` | `lTime`
`(package private) java.awt.Menu` | `mRecent`
`(package private) java.awt.Panel` | `pResult`
`(package private) static java.util.Random` | `rRandom`
`(package private) java.lang.String[]` | `sRecent`
`(package private) java.sql.Statement` | `sStatement`
`(package private) org.hsqldb.util.Tree` | `tTree`
`(package private) java.awt.TextArea` | `txtCommand`
`(package private) java.awt.TextArea` | `txtResult`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`DatabaseManager()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent )`
`(package private) void` | `addMenu(java.awt.MenuBar , java.lang.String , java.lang.String[] )`
`(package private) void` | `addMenuItems(java.awt.Menu , java.lang.String[] )`
`(package private) void` | `connect(java.sql.Connection )`
`(package private) void` | `execute()`
`(package private) void` | `formatResultSet(java.sql.ResultSet )`
`void` | `init()`
`(package private) void` | `insertTestData()`
`void` | `keyPressed(java.awt.event.KeyEvent )`
`void` | `keyReleased(java.awt.event.KeyEvent )`
`void` | `keyTyped(java.awt.event.KeyEvent )`
`static void` | `main(java.lang.String[] )`
`(package private) void` | `main()`
`static java.lang.String` | `random(java.lang.String[] )`
`static int` | `random(int )`
`(package private) java.lang.String` | `readFile(java.lang.String )`
`(package private) void` | `showHelp(java.lang.String , java.lang.String )`
`(package private) void` | `showResultInText()`
`(package private) void` | `testPerformance()`
`(package private) long` | `testStatement(java.lang.String , int )`
`(package private) void` | `trace(java.lang.String )`
`(package private) void` | `updateResult()`
`void` | `windowActivated(java.awt.event.WindowEvent )`
`void` | `windowClosed(java.awt.event.WindowEvent )`
`void` | `windowClosing(java.awt.event.WindowEvent )`
`void` | `windowDeactivated(java.awt.event.WindowEvent )`
`void` | `windowDeiconified(java.awt.event.WindowEvent )`
`void` | `windowIconified(java.awt.event.WindowEvent )`
`void` | `windowOpened(java.awt.event.WindowEvent )`
`(package private) void` | `writeFile(java.lang.String , java.lang.String )`

Methods inherited from class java.applet.Applet
`setStub, isActive, getDocumentBase, getCodeBase, getParameter, getAppletContext, resize, resize, showStatus, getImage, getImage, newAudioClip, getAudioClip, getAudioClip, getAppletInfo, getLocale, getParameterInfo, play, play, start, stop, destroy, getAccessibleContext`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, update, print, paintComponents, printComponents, addContainerListener, removeContainerListener, getListeners, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, removeNotify, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, show, hide, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, setSize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, remove, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### bHelp

    boolean bHelp

### bMustExit

    static boolean bMustExit

### butExecute

    java.awt.Button butExecute

### cConn

    java.sql.Connection cConn

### dMeta

    java.sql.DatabaseMetaData dMeta

### fMain

    java.awt.Frame fMain

### gResult

    org.hsqldb.util.Grid gResult

### iMaxRecent

    final static int iMaxRecent

### imgEmpty

    java.awt.Image imgEmpty

### iRecent

    int iRecent

### iResult

    int iResult

### lTime

    long lTime

### mRecent

    java.awt.Menu mRecent

### pResult

    java.awt.Panel pResult

### rRandom

    static java.util.Random rRandom

### sRecent

    java.lang.String[] sRecent

### sStatement

    java.sql.Statement sStatement

### tTree

    org.hsqldb.util.Tree tTree

### txtCommand

    java.awt.TextArea txtCommand

### txtResult

    java.awt.TextArea txtResult

Constructor Detail

### DatabaseManager

    public DatabaseManager()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent )

### addMenu

    void addMenu(java.awt.MenuBar , java.lang.String , java.lang.String[] )

### addMenuItems

    void addMenuItems(java.awt.Menu , java.lang.String[] )

### connect

    void connect(java.sql.Connection )

### execute

    void execute()

### formatResultSet

    void formatResultSet(java.sql.ResultSet )

### init

    public void init()

### insertTestData

    void insertTestData()

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent )

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent )

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent )

### main

    public static void main(java.lang.String[] )

### main

    void main()

### random

    public static java.lang.String random(java.lang.String[] )

### random

    public static int random(int )

### readFile

    java.lang.String readFile(java.lang.String )

### showHelp

    void showHelp(java.lang.String , java.lang.String )

### showResultInText

    void showResultInText()

### testPerformance

    void testPerformance()

### testStatement

    long testStatement(java.lang.String , int )

### trace

    void trace(java.lang.String )

### updateResult

    void updateResult()

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent )

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent )

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent )

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent )

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent )

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent )

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent )

### writeFile

    void writeFile(java.lang.String , java.lang.String )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD